#pragma once

#include "Engine.Application.h"
#include "Engine.Display.h"
#include "Engine.Controls.h"

namespace app {

  namespace scn {
    class Main;
  };

  class Application : public IApplication {

  public:
    scn::Main *ScnMain;

  public:
    ctrl::Input *ctrlClose;

  public:
    Application();

  public:
    virtual void onAppInit();
    virtual void onAppDestroy();
    virtual void onAppStep();

  };

  extern Application *global;

}