#include "Engine.Exception.h"
#include "Engine.String.h"
#include "Engine.Time.h"

#include <stdio.h>
#include <cstdarg>
#include <windows.h>

namespace app {

  bool assertFunc( bool Condition, const char * ID, ... ) {
    if ( !Condition )
      return false;

    ShowWindow( GetConsoleWindow(), 1 );

    printf( "Exception %s \n", ID );
    
    va_list l;
    va_start( l, ID );

    char *N;
    IString *S;
    while( N = va_arg( l, char* ) ) {
      S = va_arg( l, IString* );
      printf( "  %s: %.*s\n", N, S->Size, S->Ptr );
    }

    va_end( l );

    time::sleep( 500 );

    return true;
  }

}