#include "Engine.GLBuffer.h"
#include "Engine.OpenGL.h"

namespace app {

  void GLBuffer2< Float32 >::uploadTexture() {
    glTexCoordPointer( 2, GL_FLOAT, 0, Ptr );
    glCalls( 1 );
  }

  template<>
  void GLBuffer2< Int16 >::uploadVertex() {
    glVertexPointer( 2, GL_SHORT, 0, Ptr );
    glCalls( 1 );
  }
  template<>
  void GLBuffer2< Int32 >::uploadVertex() {
    glVertexPointer( 2, GL_INT, 0, Ptr );
    glCalls( 1 );
  }
  template<>
  void GLBuffer2< Int8 >::uploadVertex() {
    glVertexPointer( 2, GL_BYTE, 0, Ptr );
    glCalls( 1 );
  }

  template<>
  void GLBuffer2< UInt8 >::uploadColor() {
    glColorPointer( 4, GL_UNSIGNED_BYTE, 0, Ptr );
    glCalls( 1 );
  }

  /*template<>
  void GLBuffer2< TypeTex >::upload() {
    GL_TexArray = 0;
    glTexCoordPointer( 2, GL_FLOAT, 0, Ptr );
  }
  template<>
  void GLBuffer2< Int16 >::upload() {
    glVertexPointer( 2, GL_SHORT, 0, Ptr );
  }
  template<>
  void GLBuffer2< Int32 >::upload() {
    glVertexPointer( 2, GL_INT, 0, Ptr );
  }
  template<>
  void GLBuffer2< Int8 >::upload() {
    glVertexPointer( 2, GL_BYTE, 0, Ptr );
  }*/

}