#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"
#include "GUI.Interface.Caption.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( Button );
    class Button : public Element, public ICaption {

    public:
      void *EventData;

      void ( *onClick )( Button &Btn );
      void ( *onHold )( Button &Btn );

    public:
      Button();
      virtual ~Button();

    public:
      virtual void init( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    public:
      interfaceRootDef();

    };

  }

}

#endif