#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"

#include "GUI.CustomDrawListBox.h"
#include "GUI.Button.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( CustomDrawComboBox );
    class CustomDrawComboBox : public Element {

    public:
      CustomDrawListBox cListBox;
      Button cButton;

    private:
      SizeT prevSelItem;

    public:
      CustomDrawComboBox();
      virtual ~CustomDrawComboBox();

    public:
      virtual void init( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    public:
      interfaceRootDef();

    };

  }

}

#endif