#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( ILayer )
    class ILayer : virtual public IElement, public Interface {

    public:
      ILayer();
      virtual ~ILayer();

    public:
      virtual void init( cfx::Node &Source );

      virtual void draw();

      virtual void focusLayer();

    };

  }

}

#endif