#include "GUI.Panel.h"

#include "Engine.Global.h"
#include "Engine.Display.h"
#include "Engine.Hooks.h"
#include "Engine.GUI.Skin.h"
#include "Engine.Application.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    hook( hookRegisterGUIElements ) {
      global_s.gui.ElementList.add< Panel >( "Panel" );
    }

    // Panel
    Panel::Panel() {

    }
    Panel::~Panel() {


    }

    void Panel::init( cfx::Node &Source ) {
      Element::init( Source );
      IContent::init( Source );
    }

    void Panel::recalc() {
      Element::recalc(); 
      IContent::recalc();
    }

    void Panel::draw() {
      Element::draw();

      Skn->drawPanel( AbsolutePos, RealSize, Skin::ptPanel, State );

      IContent::draw();
    }

    interfaceRoot( Panel,
      interfaceEntry( Element )
      interfaceEntry( IContent )
      );

  }

}

#endif