#include "Application.h"
#include "Engine.Confix.h"
#include "Engine.File.h"
#include "Engine.Hooks.h"
#include "Engine.Global.h"

#include "Scene.Main.h"

#include <windows.h>
#pragma comment(lib,"user32.lib")

namespace app {

  Application::Application() : IApplication( 0 ) {
    WindowCaption = "eVolution";
  }

  void Application::onAppInit() {
    global = this;

    ScnMain = new scn::Main();
    ScnMain->activate();

    ctrlClose = global_s.Controls->GlobalControls.create( "ShutDown" );

    ShowWindow( GetConsoleWindow(), 0 );
  }
  void Application::onAppDestroy() {
    delete ScnMain;
  }
  void Application::onAppStep() {
    if( ctrlClose->isPress() )
      stop();
  }

  Application *global;

}