#include "Env.Settings.h"

namespace app {
  namespace env {

    // Settings
    Settings::Settings() {
      WindowOpen = false;
    }
    Settings::~Settings() {

    }

    void Settings::load( Stream& Str ) {
      Str.pullSimple( CellHealth );
      Str.pullSimple( StartingEnergy );
      Str.pullSimple( EnergyOverfeed );

      Str.pullSimple( EnergyFromFood );

      Str.pullSimple( EnergyForReproduction );
      Str.pullSimple( EnergyForSex );
      Str.pullSimple( EnergyForMovement );
      Str.pullSimple( EnergyWrongAction );
      
      Str.pullSimple( WeightMutationChance );
      Str.pullSimple( TresholdMutationChance );
      Str.pullSimple( mutationLevelMultiplier );

      Str.pullSimple( FoodInterval );
      Str.pullSimple( StartingFood );

      Str.pullSimple( StartCells );

      Str.pullSimple( defaultBrain );
      Str.pullSimple( defaultBrainFunctionIndex );

      Str.pullSimple( stepBreakpoint );
    }

    void Settings::save( Stream& Str ) {
      Str.pushSimple( CellHealth );
      Str.pushSimple( StartingEnergy );
      Str.pushSimple( EnergyOverfeed );

      Str.pushSimple( EnergyFromFood );

      Str.pushSimple( EnergyForReproduction );
      Str.pushSimple( EnergyForSex );
      Str.pushSimple( EnergyForMovement );
      Str.pushSimple( EnergyWrongAction );

      Str.pushSimple( WeightMutationChance );
      Str.pushSimple( TresholdMutationChance );
      Str.pushSimple( mutationLevelMultiplier );

      Str.pushSimple( FoodInterval );
      Str.pushSimple( StartingFood );

      Str.pushSimple( StartCells );
      
      Str.pushSimple( defaultBrain );
      Str.pushSimple( defaultBrainFunctionIndex );

      Str.pushSimple( stepBreakpoint );
    }

  }
}