#include "Engine.Color.h"

#ifdef MODULE_CLIENT

namespace app {

  // Color
  Color::Color() : R( 255 ), G( 255 ), B( 255 ), A( 255 ) {

  }
  Color::Color( type R, type G, type B, type A /* = 255 */ ) : R( R ), G( G ), B( B ), A( A ) {

  }
  Color::Color( type A ) : R( 255 ), G( 255 ), B( 255 ), A( A ) {

  }
  Color::~Color() {

  }

  bool Color::operator==( Color Col ) {
    if( Col.A == 0 && A == 0 )
      return true; // Both transparent -> don't give a fuck about tint

    return Col.R == R && Col.G == G && Col.B == B && Col.A == A;
  }

  Color Color::operator*( float n ) {
    return Color( ( type )( ( float ) R * n ), ( type )( ( float ) G * n ), ( type )( ( float ) B * n ), ( type )( ( float ) A * n ) );
  }

  void Color::assign( type iR, type iG, type iB, type iA /* = 255 */ ) {
    R = iR;
    G = iG;
    B = iB;
    A = iA;
  }

}

#endif