#pragma once

#include "Engine.Dedicated.h"

#ifdef MODULE_CLIENT

namespace app {

  class Color {

  public:
    typedef unsigned char type;

  public:
    type R, G, B, A;

  public:
    Color();
    Color( type R, type G, type B, type A = 255 );
    Color( type A );
    ~Color();

  public:
    bool operator==( Color Col );

    Color operator*( float n );

  public:
    void assign( type R, type G, type B, type A = 255 );

  };

  static const Color clWhite( 255, 255, 255 );

}

#endif