#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Vector.h"
#include "Engine.Interface.h"
#include "Engine.SDL.Header.h"

#ifdef MODULE_CLIENT

namespace app {

  class RenderWindow {

  public:
    Vec2Screen Resolution, PreviousResolution, Position;
    bool Fullscren, Console, VSync;
    UInt32 Flags;
    UInt8 AntiAliasing;
    TypeScreen MaxTextureSize;

  public:
    SDL_Surface *Window;
    SDL_Event Event;

  public:
    RenderWindow() {}
    ~RenderWindow() {}

  public:
    void init();
    void destroy();
    void step();

    void updateResolution();
    void updateSettings();

    void parseWindowEvent();

  };

}

#endif