#pragma init_seg( lib )

#include "Engine.Hooks.h"

namespace app {

  IHookManager HookManager;
  

  IHookManager::IHookManager() {

  }
  IHookManager::~IHookManager() {
    foreach_a( Hooks )
      delete Hooks[ a ];
  }

  void IHookManager::add( SizeT ID, HookFunction Ptr ) {
    allocate( ID );
    Hooks[ ID ]->pushItem( Ptr );
  }
  void IHookManager::call( SizeT ID ) {
    allocate( ID );
    foreach_a( *( Hooks[ ID ] ) )
      ( *( Hooks[ ID ] ) )[ a ]();
  }

  void IHookManager::allocate( SizeT ID ) {
    while ( Hooks.Size <= ID )
      Hooks.pushItem( new Container< HookFunction >() );
  }

  IHookRegisterer::IHookRegisterer( SizeT ID, HookFunction Func ) {
    HookManager.add( ID, Func );
  }

}