#include "Engine.Matrix.h"

namespace app {

#ifdef MODULE_CLIENT

  void popMatrix() {
    glFinishDrawing();
    glPopMatrix();
    glCalls( 1 );
  }

  template<>
  void Matrix< Float32 >::use() {
    glMultMatrixf( M );
    glCalls( 1 );
  }
  template<>
  void Matrix< Float64 >::use() {
    glMultMatrixd( M );
    glCalls( 1 );
  }

#endif

}