#pragma once

#include "Engine.Dedicated.h"

#ifdef MODULE_CLIENT 

#pragma comment(lib, "SDL_image.lib")
#pragma comment(lib, "SDL_ttf.lib")

#ifdef PLATFORM_WINDOWS
#include <windows.h>
#define consoleHide() FreeConsole()
#define consoleShow() AllocConsole()
#endif

#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>

#define SDL_COLORDEPTH 32

#if SDL_BYTEORDER == SDL_BIG_ENDIAN
#define SDL_RMASK 0xff000000
#define SDL_GMASK 0x00ff0000
#define SDL_BMASK 0x0000ff00
#define SDL_AMASK 0x000000ff
#else
#define SDL_RMASK 0x000000ff
#define SDL_GMASK 0x0000ff00
#define SDL_BMASK 0x00ff0000
#define SDL_AMASK 0xff000000
#endif

#endif