#pragma once

#include "Engine.Types.h"

namespace app {

  class Stream;

  class Streamable {

  public:
    virtual void onStreamSerialize( Stream *Str, UInt8 Variant ) const = 0;
    virtual void onStreamDeserialize( Stream *Str, UInt8 Variant ) = 0;

  };

}