#pragma once

#include "settings.h"

#define MSVC2008

#ifdef MSVC2008
/*#define uint8_t unsigned char
#define uint16_t unsigned short
#define uint32_t unsigned int
#define uint64_t unsigned long int

#define int8_t char
#define int16_t short
#define int32_t int
#define int64_t long int*/
#include <SDL/SDL_config_win32.h>
#else
#include <stdint.h>
#endif

#define GL_SCREENVEC_TYPE GL_INT

namespace app {

  typedef unsigned int SizeT;

  typedef uint8_t UInt8;
  typedef uint16_t UInt16;
  typedef uint32_t UInt32;
  typedef uint64_t UInt64;

  typedef int8_t Int8;
  typedef int16_t Int16;
  typedef int32_t Int32;
  typedef int64_t Int64;

  typedef float Float32;
  typedef double Float64;

  typedef Int32 TypeScreen;
  typedef Float32 TypeTex;

  typedef Float32 Angle_t;

}