#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"

#include "GUI.ScrollBar.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( CustomDrawListBox );
    class CustomDrawListBox : public Element {

    public:
      ScrollBar cScrollBar;

      void *EventData;
      void ( *onItemDraw )( CustomDrawListBox &ListBox, UInt16 Item, Vec2Screen Pos, ElementState_e State );
      void ( *onChange )( CustomDrawListBox &ListBox );

    public:
      UInt16 ElementCount, ElementSize;
      bool Vertical, AllowSelection;
      SizeT SelectedItem, PrevSelectedItem;

    public:
      CustomDrawListBox();
      virtual ~CustomDrawListBox();

    public:
      virtual void init( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    public:
      interfaceRootDef();

    };

  }

}

#endif