#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( IContent )
    class IContent : virtual public IElement, public Interface {

    public:
      Container< IElement* > Children;

    public:
      IContent();
      virtual ~IContent();

    public:
      virtual void init( cfx::Node &Source );
      virtual IElement* find( const IString &El );

      Element* load( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    };

  }

}

#endif