#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"
#include "GUI.Interface.Caption.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( Label );
    class Label : public Element, public ICaption {

    public:
      UInt8 TextAlign;

    public:
      Label();
      virtual ~Label();

    public:
      virtual void init( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    public:
      interfaceRootDef();

    };

  }

}

#endif