#pragma once

#include "Engine.Dedicated.h"
#include "Engine.Container.h"

#include "Engine.GUI.h"
#include "GUI.Interface.ValMinmax.h"

#ifdef MODULE_CLIENT

namespace app {

  namespace gui {

    typeHash( Slider );
    class Slider : public Element, public IValMinMax {

    public:
      void *EventData;

      void ( *onChange )( Slider &Sld );

    public:
      bool Vertical;
      float PrevValue;
      UInt8 OutFunction;

    public:
      Slider();
      virtual ~Slider();

    public:
      virtual void init( cfx::Node &Source );

    public:
      virtual void recalc();

      virtual void draw();

    protected:
      void verticalDraw();
      void horizontalDraw();

    public:
      interfaceRootDef();

    };

  }

}

#endif